/*
 * $Id: lyskomd.h,v 0.4 1992/04/15 22:59:20 ceder Exp $
 * Copyright (C) 1991  Lysator Academic Computer Association.
 *
 * This file is part of the LysKOM server.
 * 
 * LysKOM is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 1, or (at your option) 
 * any later version.
 * 
 * LysKOM is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with LysKOM; see the file COPYING.  If not, write to
 * Lysator, c/o ISY, Linkoping University, S-581 83 Linkoping, SWEDEN,
 * or the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
 * MA 02139, USA.
 *
 * Please mail bug reports to bug-lyskom@lysator.liu.se. 
 */
/*
 * $Id: lyskomd.h,v 0.4 1992/04/15 22:59:20 ceder Exp $
 */


/* Defined in ramkomd.c */
extern struct isc_scb *listen_client;
extern struct isc_scb *listen_mux;

/* Defined in connections.c */
extern struct isc_mcb * kom_server_mcb;

/*
 * restart_kom is used to try to recover from an impossible error.
 * This function is in fact never called, unless some cosmic radiation
 * changes some pointers or suchlike.
 *
 * The msg string is sent as a mail to kom@lysator.liu.se
 * (At least one member in that group should not read his mail using kom...)
 */


extern void
restart_kom(const char * format, ...);
